Skip to main content
`Ctrl`+`K`

# PetscCheckReturnMPI

Checks that a particular condition is true; if not true, then returns an MPI error code. To check for errors in PETSc-provided MPI callbacks.

## Synopsis

    #include <petscsys.h>
    void PetscCheckReturnMPI(bool cond, MPI_Comm comm, PetscErrorCode ierr, const char *message, ...)

Collective; No Fortran Support

## Input Parameters

- cond - The boolean condition

- comm - The communicator on which the check can be collective on

- ierr - A nonzero error code, see include/petscerror.h for the complete list

- message - Error message in the `printf()` format

## Note

Enabled in both optimized and debug builds.

## See Also

`PetscCheck()`, `PetscAssert()`, `SETERRQ()`, `PetscError()`, `PetscCall()`, `PetscCheckAbort()`, `PetscErrorCode`

## Level

beginner

## Location

include/petscerror.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages